"use strict";
exports.__esModule = true;
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var useBreakpoint_1 = tslib_1.__importDefault(require("antd/lib/grid/hooks/useBreakpoint"));
var link_1 = tslib_1.__importDefault(require("next/link"));
var antd_1 = require("antd");
var magento_marketplace_ui_1 = require("magento-marketplace-ui");
var Brand = function (_a) {
    var id = _a.id, image = _a.image, name = _a.name;
    var breakpoints = (0, useBreakpoint_1["default"])();
    return (react_1["default"].createElement(antd_1.Col, { xs: 8, md: 6 },
        react_1["default"].createElement(link_1["default"], { href: {
                pathname: "/shop/brand/".concat(id)
            } },
            react_1["default"].createElement("a", null,
                react_1["default"].createElement("div", { className: "w-full brand-item shadow-md hover:shadow-lg py-1 lg:py-4 flex justify-center items-center" },
                    react_1["default"].createElement(magento_marketplace_ui_1.Image, { size: "normal", data: image, alt: "normal", height: breakpoints.xs ? '60px' : '120px', width: "60%", style: { objectFit: 'contain' } })),
                react_1["default"].createElement("div", { className: "text-center mt-4 p-0 lg:p-2 uppercase text:xs lg:text-lg" }, name)))));
};
exports["default"] = Brand;
//# sourceMappingURL=Brand.js.map