/// <reference types="react" />
type TOnChange = (value: any) => void;
type TProps = {
    onChangeCategoryHandle: TOnChange;
    onChangePriceHandle: TOnChange;
    onChangeBrandHandle: TOnChange;
    categoryHeading: string;
    category: any;
    priceHeading: string;
    priceRange: any;
    brandHeading: string;
    brandList: any;
    queries: any;
    clearText: string;
    priceClickHandle: (range: any) => void;
    clearClickHandle: () => void;
};
declare const CategoryFilter: ({ onChangeCategoryHandle, onChangePriceHandle, onChangeBrandHandle, categoryHeading, category, priceHeading, priceRange, brandHeading, brandList, queries, clearText, priceClickHandle, clearClickHandle }: TProps) => JSX.Element;
export default CategoryFilter;
