"use strict";
exports.__esModule = true;
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var antd_1 = require("antd");
var CategoryFilter = function (_a) {
    var _b, _c;
    var onChangeCategoryHandle = _a.onChangeCategoryHandle, onChangePriceHandle = _a.onChangePriceHandle, onChangeBrandHandle = _a.onChangeBrandHandle, categoryHeading = _a.categoryHeading, category = _a.category, priceHeading = _a.priceHeading, priceRange = _a.priceRange, brandHeading = _a.brandHeading, brandList = _a.brandList, queries = _a.queries, clearText = _a.clearText, priceClickHandle = _a.priceClickHandle, clearClickHandle = _a.clearClickHandle;
    return (react_1["default"].createElement(react_1["default"].Fragment, null,
        react_1["default"].createElement("div", null,
            ((_b = category === null || category === void 0 ? void 0 : category.children) === null || _b === void 0 ? void 0 : _b.length) > 0 && (react_1["default"].createElement(antd_1.Card, { className: "text-left", title: categoryHeading },
                react_1["default"].createElement(antd_1.Checkbox.Group, { className: "font-title", value: queries.category_id, onChange: onChangeCategoryHandle },
                    react_1["default"].createElement(antd_1.Space, { direction: "vertical", size: 0 }, (_c = category === null || category === void 0 ? void 0 : category.children) === null || _c === void 0 ? void 0 : _c.map(function (subCategory) { return (react_1["default"].createElement(antd_1.Checkbox, { value: subCategory.id, key: subCategory.id }, subCategory.name)); }))))),
            react_1["default"].createElement(antd_1.Card, { className: "text-left", title: priceHeading },
                react_1["default"].createElement(antd_1.Radio.Group, { className: "font-title", value: queries.price, onChange: onChangePriceHandle },
                    react_1["default"].createElement(antd_1.Space, { direction: "vertical", size: 0 }, priceRange.map(function (range) { return (react_1["default"].createElement(antd_1.Radio, { value: range.id, key: range.id, onClick: function () { return priceClickHandle(range); } }, range.name)); })))),
            (brandList === null || brandList === void 0 ? void 0 : brandList.length) > 0 && (react_1["default"].createElement(antd_1.Card, { className: "text-left", title: brandHeading },
                react_1["default"].createElement(antd_1.Checkbox.Group, { className: "font-title", value: queries.brand, onChange: onChangeBrandHandle },
                    react_1["default"].createElement(antd_1.Space, { direction: "vertical", size: 0 }, brandList.map(function (brand) { return (react_1["default"].createElement(antd_1.Checkbox, { value: brand.value, key: brand.value }, brand.label)); })))))),
        (!queries.category_id.includes(category === null || category === void 0 ? void 0 : category.id) ||
            queries.price) && (react_1["default"].createElement("span", { onClick: clearClickHandle, className: "text-sm cursor-pointer mt-4 inline-block mx-auto underline hover:no-underline text-blue-900 hover:text-blue-700" }, clearText))));
};
exports["default"] = CategoryFilter;
//# sourceMappingURL=CategoryFilter.js.map