import React from 'react';
import useBreakpoint from 'antd/lib/grid/hooks/useBreakpoint';
import Link from 'next/link';
import { Col } from 'antd';
import { Image } from 'magento-marketplace-ui';
var Brand = function (_a) {
    var id = _a.id, image = _a.image, name = _a.name;
    var breakpoints = useBreakpoint();
    return (React.createElement(Col, { xs: 8, md: 6 },
        React.createElement(Link, { href: {
                pathname: "/shop/brand/".concat(id)
            } },
            React.createElement("a", null,
                React.createElement("div", { className: "w-full brand-item shadow-md hover:shadow-lg py-1 lg:py-4 flex justify-center items-center" },
                    React.createElement(Image, { size: "normal", data: image, alt: "normal", height: breakpoints.xs ? '60px' : '120px', width: "60%", style: { objectFit: 'contain' } })),
                React.createElement("div", { className: "text-center mt-4 p-0 lg:p-2 uppercase text:xs lg:text-lg" }, name)))));
};
export default Brand;
//# sourceMappingURL=Brand.js.map