import React from 'react';
import { Card, Checkbox, Radio, Space } from 'antd';
var CategoryFilter = function (_a) {
    var _b, _c;
    var onChangeCategoryHandle = _a.onChangeCategoryHandle, onChangePriceHandle = _a.onChangePriceHandle, onChangeBrandHandle = _a.onChangeBrandHandle, categoryHeading = _a.categoryHeading, category = _a.category, priceHeading = _a.priceHeading, priceRange = _a.priceRange, brandHeading = _a.brandHeading, brandList = _a.brandList, queries = _a.queries, clearText = _a.clearText, priceClickHandle = _a.priceClickHandle, clearClickHandle = _a.clearClickHandle;
    return (React.createElement(React.Fragment, null,
        React.createElement("div", null,
            ((_b = category === null || category === void 0 ? void 0 : category.children) === null || _b === void 0 ? void 0 : _b.length) > 0 && (React.createElement(Card, { className: "text-left", title: categoryHeading },
                React.createElement(Checkbox.Group, { className: "font-title", value: queries.category_id, onChange: onChangeCategoryHandle },
                    React.createElement(Space, { direction: "vertical", size: 0 }, (_c = category === null || category === void 0 ? void 0 : category.children) === null || _c === void 0 ? void 0 : _c.map(function (subCategory) { return (React.createElement(Checkbox, { value: subCategory.id, key: subCategory.id }, subCategory.name)); }))))),
            React.createElement(Card, { className: "text-left", title: priceHeading },
                React.createElement(Radio.Group, { className: "font-title", value: queries.price, onChange: onChangePriceHandle },
                    React.createElement(Space, { direction: "vertical", size: 0 }, priceRange.map(function (range) { return (React.createElement(Radio, { value: range.id, key: range.id, onClick: function () { return priceClickHandle(range); } }, range.name)); })))),
            (brandList === null || brandList === void 0 ? void 0 : brandList.length) > 0 && (React.createElement(Card, { className: "text-left", title: brandHeading },
                React.createElement(Checkbox.Group, { className: "font-title", value: queries.brand, onChange: onChangeBrandHandle },
                    React.createElement(Space, { direction: "vertical", size: 0 }, brandList.map(function (brand) { return (React.createElement(Checkbox, { value: brand.value, key: brand.value }, brand.label)); })))))),
        (!queries.category_id.includes(category === null || category === void 0 ? void 0 : category.id) ||
            queries.price) && (React.createElement("span", { onClick: clearClickHandle, className: "text-sm cursor-pointer mt-4 inline-block mx-auto underline hover:no-underline text-blue-900 hover:text-blue-700" }, clearText))));
};
export default CategoryFilter;
//# sourceMappingURL=CategoryFilter.js.map