"use strict";
exports.__esModule = true;
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importDefault(require("react"));
var icons_1 = require("@ant-design/icons");
var antd_1 = require("antd");
var useBreakpoint_1 = tslib_1.__importDefault(require("antd/lib/grid/hooks/useBreakpoint"));
var link_1 = tslib_1.__importDefault(require("next/link"));
var CategoryItem_style_1 = tslib_1.__importDefault(require("./CategoryItem.style"));
var magento_marketplace_ui_1 = require("magento-marketplace-ui");
var CategoryItem = function (_a) {
    var category = _a.category, size = _a.size;
    var breakpoints = (0, useBreakpoint_1["default"])();
    return (react_1["default"].createElement(CategoryItem_style_1["default"], null,
        react_1["default"].createElement(link_1["default"], { href: {
                pathname: '/shop/category/[category]',
                query: { category: category.slug }
            } },
            react_1["default"].createElement("a", null,
                react_1["default"].createElement("div", { className: "text-center shadow-md hover:shadow-lg shop-category relative overflow-hidden" },
                    !breakpoints.xs && (react_1["default"].createElement("div", { className: 'absolute category-name tracking-wider hover:bottom-10 left-4 text-white font-medium text-xs md:text-2xl uppercase', style: {
                            textShadow: '2px 3px 3px rgba(0, 0, 0, 0.4)'
                        } }, category.name)),
                    !breakpoints.xs && (react_1["default"].createElement(antd_1.Button, { className: 'absolute z-50 left-1 bottom-2 text-base font-bold font-title opacity-0 text-white flex items-center', style: {
                            textShadow: '2px 2px 2px rgba(0, 0, 0, 0.25)'
                        }, type: 'link' },
                        "SHOP NOW ",
                        react_1["default"].createElement(icons_1.ArrowRightOutlined, { className: 'pb-1' }))),
                    react_1["default"].createElement(magento_marketplace_ui_1.FixedRatioImage, { ratio: size === 'large' ? [8, 9] : [16, 9], additionHeight: size === 'large' ? 16 : 0 },
                        react_1["default"].createElement(magento_marketplace_ui_1.Image, { data: category.image, className: "absolute top-0 w-full left-0", size: "thumbnail", height: "100%", alt: "Sample" })),
                    breakpoints.xs && (react_1["default"].createElement("div", { className: 'absolute bottom-1 left-1 text-white text-xs font-medium text-left', style: {
                            textShadow: '2px 3px 3px rgba(0, 0, 0, 0.4)'
                        } }, category.name)))))));
};
exports["default"] = CategoryItem;
//# sourceMappingURL=CategoryItem.js.map